package pps.core.common.utils;

import com.fasterxml.uuid.Generators;
import com.fasterxml.uuid.NoArgGenerator;

import java.security.SecureRandom;
import java.util.UUID;

public class UUIDHelper {
    private static final NoArgGenerator noArgGenerator = Generators.timeBasedEpochGenerator(new SecureRandom());

    public static String newUUID() {
        UUID uuid = noArgGenerator.generate();
        return uuid.toString();
    }
}